#
# spec file for package ktorrent (Version 2.0.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gmp gmp-devel gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline rpm sed sgml-skel sqlite strace sudo sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           ktorrent
BuildRequires:  gmp-devel kdelibs3-devel
URL:            http://ktorrent.pwsp.net/
License:        GNU General Public License (GPL)
Group:          Productivity/Networking/Other
Summary:        KDE BitTorrent Client
Version:        2.0.3
Release:        30
%define rversion 2.0.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{rversion}.tar.gz
Patch2:         remove-links.diff
Patch3:         ktorrent-lazy-binding.diff
Patch4:         no-geoip-db.diff
Patch10:        ktorrent-fix-columns.diff
Patch11:        ktorrent-fix-columns_save_restore_ktorrentview.diff
Patch13:        ktorrent-fix-keep_seeding.diff
Patch14:        ktorrent-fix-remove-unneeded.diff
Patch15:        ktorrent-fix-compiler_warning.diff
Patch16:        disable-DHT.diff
Patch17:        ktorrent-buffer-overflow.diff
Patch18:        ktorrent-path-injection.diff

%description
Torrent is a BitTorrent program for KDE. Its main features are: *
   Download of torrent files

* Upload speed capping, seeing that most people cannot upload
   infinite amounts of data

* Internet searching using the BitTorrent Web site's search engine

* UDP trackers



Authors:
--------
    Jois Guisson <jrois.guisson@gmail.com>

%debug_package
%prep
%setup -q -n %{name}-%{rversion}
%patch2
%patch3
%patch4
%patch10
%patch11
%patch13
%patch14
%patch15
%patch16
%patch17
%patch18
. /etc/opt/kde3/common_options
update_admin

%build
%if %suse_version > 1000
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fstack-protector"
%endif
. /etc/opt/kde3/common_options
./configure $configkde
do_make %{?jobs:-j %jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/opt/kde3/share/applnk/Internet/ktorrent.desktop
%suse_update_desktop_file %name Network FileTransfer
%find_lang %name

%pre
%run_ldconfig

%post
%run_ldconfig

%files -f %name.lang
%defattr(-,root,root)
%dir /opt/kde3/share/icons/hicolor/16x16
%dir /opt/kde3/share/icons/hicolor/32x32
%dir /opt/kde3/share/icons/hicolor/128x128
%dir /opt/kde3/share/icons/hicolor/128x128/apps
%dir /opt/kde3/share/icons/hicolor/16x16/apps
%dir /opt/kde3/share/icons/hicolor/32x32/apps
%dir /opt/kde3/share/icons/hicolor/48x48
%dir /opt/kde3/share/icons/hicolor/48x48/apps
%dir /opt/kde3/share/icons/hicolor/64x64
%dir /opt/kde3/share/icons/hicolor/64x64/apps
%dir /opt/kde3/share/icons/hicolor/scalable
%dir /opt/kde3/share/icons/hicolor/scalable/apps
/opt/kde3/bin/*
/opt/kde3/share/config.kcfg/ktorrent.kcfg
/opt/kde3/share/icons/*/*/*/*
/opt/kde3/share/appl*/*/*.desktop
/opt/kde3/share/apps/*
/opt/kde3/%_lib/kde3/*
/opt/kde3/%_lib/libktorrent.*
/opt/kde3/share/config.kcfg/*.kcfg
/opt/kde3/share/services/*.desktop
/opt/kde3/share/servicetypes/*.desktop

%changelog
* Mon Apr 02 2007 - dmueller@suse.de
- update path injection fix
* Mon Mar 12 2007 - dmueller@suse.de
- add fixes for ktorrent issues (#253388)
* Tue Oct 17 2006 - dmueller@suse.de
- remove geoIP database due to license issues (#188562)
* Mon Oct 16 2006 - dmueller@suse.de
- fix build on PPC
* Tue Oct 10 2006 - stbinner@suse.de
- update to version 2.0.3
  - fixes some download speed issues
  - fixes several other minor bugs
* Wed Aug 30 2006 - stbinner@suse.de
- update to version 2.0.2
  - fixes a data corruption bug
  - should get the downloading working properly again
* Mon Aug 21 2006 - stbinner@suse.de
- update to version 2.0.1
  - fixes several bugs
  - features some performance improvements
* Wed Aug 09 2006 - stbinner@suse.de
- update to version 2.0 (no changelog provided)
  - bugfixes
  - translation updates
* Wed Jul 19 2006 - stbinner@suse.de
- update to version 2.0rc1
  * bugfixes and polishing
* Tue Jun 06 2006 - stbinner@suse.de
- don't install with kdelibs conflicting x-bittorrent.desktop
* Tue May 23 2006 - adrian@suse.de
- update to version 2.0beta1
  * Speed improvements
  * Protocol encryption
  * Bandwith scheduling
  * File prioritization for multifile torrents
  * Directory scanner for torrent files
  * Many bug fixes
- disable experimental DHT for now
* Sun Apr 16 2006 - dkukawka@suse.de
- updated/added upstream commited changes:
  - ktorrent-fix-german-translation.diff: updated german
  translation file
  - ktorrent-fix-i18n-strings.diff: fixed typo in i18n string and
  merged back to translations
* Tue Mar 07 2006 - dkukawka@suse.de
- fixed some strings in german translation (related to bug #154683
  and upstram changes)
* Thu Mar 02 2006 - dkukawka@suse.de
- fixed german translation for the plugin settings
* Tue Feb 07 2006 - ro@suse.de
- fix build for < 10.1
* Wed Feb 01 2006 - stbinner@suse.de
- update to 1.2 final
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - stbinner@suse.de
- update to 1.2rc2
* Mon Jan 16 2006 - dmueller@suse.de
- use -fstack-protector
* Thu Jan 05 2006 - dkukawka@suse.de
- added patches:
  - ktorrent-fix-columns.diff (Added focus to all collums in the
  ListView objects)
  - ktorrent-fix-columns_save_restore_ktorrentview.diff (fix store
  columns settings and enable change wide of columns)
  - ktorrent-fix-KBytesPerSecToString.diff
  - ktorrent-fix-keep_seeding.diff (fixed torrentFinished to
  respect "Keep seeding after download has finished")
  - ktorrent-fix-remove-unneeded.diff (removed unneeded code)
  - ktorrent-fix-compiler_warning.diff
* Mon Jan 02 2006 - stbinner@suse.de
- update to 1.2rc1 (#135481)
* Thu Oct 13 2005 - dmueller@suse.de
- update to BRANCH
* Tue Oct 11 2005 - dmueller@suse.de
- update 1.1 final
* Wed Sep 07 2005 - adrian@suse.de
- remove links to some search engine with maybe legal problems
* Tue Sep 06 2005 - dmueller@suse.de
- update 1.1rc1 (#104905)
* Fri Aug 05 2005 - adrian@suse.de
- fix build for released non-PLUS distributions
* Fri Jul 22 2005 - adrian@suse.de
- fix file list
* Fri Jul 22 2005 - adrian@suse.de
- create initial package of version 1.0
